$(function(){
	var screenWidth,screenHeight,scrolltop=0,winX=0,winY=0,timer1//winX,winY是点击详情时窗口初始坐标；screenWidth、screenHeight是窗口始终位于屏幕的中间坐标
	var _move=false;//移动标记
    var _x,_y;//鼠标离控件左上角的相对位置
	var winWidth=parseInt($(".window").css("width"));//窗体的宽
    var winHeight=parseInt($(".window").css("height"));//窗体的高
	var win_topmWidth=parseInt($(".window_topm").css("width"));//窗体上边框初始宽度
	var win_bottommWidth=parseInt($(".window_bottomm").css("width"));//窗体下边框初始宽度
	var win_midlHeight=parseInt($(".window_midlbg").css("height"));//窗体左边框初始高度
	var win_midrHeight=parseInt($(".window_midrbg").css("height"));//窗体右边框初始高度
	$(".myorder3 .pro_buy8 span,.pro_but2,.sh_car,.pro_moretit bdo").click(function(e){
		scrolltop=$(document).scrollTop();//当前窗体距离页面顶部的高度
		screenWidth=($(window).width()-winWidth)/2;
	    screenHeight=($(window).height()-winHeight)/2+scrolltop;
		winX=e.pageX;
		winY=e.pageY;
		var imgWidth=parseInt($(this).css("width"))/2
		var imgHeight=parseInt($(this).css("height"))/3
		$(this).css({position:"relative"})
		$(".window_content").css({width:winWidth-50+"px",height:winHeight-70+"px"})//控件新宽度和高度
		$(".window_topm").css("width",win_topmWidth+"px")
		$(".window_bottomm").css("width",win_bottommWidth+"px")
		$(".window_midlbg").css({height:win_midlHeight+"px"})
		$(".window_midrbg").css({height:win_midrHeight+"px"})	
		$(".window_loader").css({top:imgHeight+"px",left:imgWidth+"px"}).show()
		$(".window").css({top:winY,left:winX,width:0,height:0}).show().animate({left:screenWidth,top:screenHeight,width:winWidth+"px",height:winHeight+"px"},300)
		$(".window_top").show()
		$(".window_mid").show()
		$(".window_bottom").show()
		$(".window_loader").hide()
		$(".windowbg").css({display:"block",width:$(document).width(),height:$(document).height()}).fadeTo(0,0.5)
    });
	
	////////鼠标移动窗口//////////
	$(".window_midtit,.window_top").mousedown(function(e){
	   _move=true;
	   _x=e.pageX-parseInt($(".window").css("left"));
	   _y=e.pageY-parseInt($(".window").css("top"));
	  $(document).mousemove(function(e){
			if(_move)
			{
				var x=e.pageX-_x;//移动时根据鼠标位置计算控件左上角的绝对位置
				var y=e.pageY-_y;
				$(".window").css({top:y,left:x});//控件新位置
			}
		  }).mouseup(function(){
			_move=false;
	 });});
	$(".window_midtit a").click(function(){
		$(".window").animate({left:winX,top:winY,width:0,height:0},300).css({width:winWidth+"px",height:winHeight+"px"}).hide("fast")
		$(".window_content").css({width:winWidth-30+"px",height:winHeight-70+"px"})//控件新宽度和高度	
		setTimeout("$('.window_top').hide()",250)
		setTimeout("$('.window_mid').hide()",250)
		setTimeout("$('.window_bottom').hide()",250)
		$(".windowbg").css("display","none")
    })
	
	////////鼠标拖动窗口大小//////////
	var timer2
	var drag=false//拖拽改变窗口大小标记
	$(".window_midbot span").mousedown(function(e){
		var currentW=0,currentH=0//currentW、currentH最新的窗口宽度和高度
		drag=true;
		$(document).mousemove(function(e){
		  if(drag)
		  {
			  currentW=e.pageX-parseInt($(".window").css("left"))+20;//最新的窗口宽度
			  currentH=e.pageY-parseInt($(".window").css("top"))+20;//最新的窗口高度
			  if(currentW<273){currentW=273}
			  if(currentH<150){currentH=150}
			  $(".window").css({width:currentW+"px",height:currentH+"px"})//控件新宽度和高度	
			  $(".window_content").css({width:currentW-50+"px",height:currentH-70+"px"})//控件新宽度和高度
			  $(".window_topm").css({width:currentW-20+"px"})
			  $(".window_bottomm").css({width:currentW-20+"px"})
			  if(parseInt($(".window").css("height"))>100)
			  {
				  $(".window_midlbg").css({height:currentH-19+"px"})
				  $(".window_midrbg").css({height:currentH-19+"px"})
			  }
		  }
		}).mouseup(function(){
			drag=false;
		});
	})
	
	$(".window_midbot span").mouseup(function(){
		drag=false;
	})
})